@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 300;
    src: url(/fonts/Inter-Light.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Inter-Regular.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    src: url(/fonts/Inter-Medium.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    src: url(/fonts/Inter-SemiBold.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    src: url(/fonts/Inter-Bold.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 800;
    src: url(/fonts/Inter-ExtraBold.woff2) format('woff2');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 900;
    src: url(/fonts/Inter-Black.woff2) format('woff2');
}

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: #e9eef1 #fff;
}

    *::-webkit-scrollbar {
        width: 8px; /* width of the entire scrollbar */
    }

    *::-webkit-scrollbar-track {
        background: #fff; /* color of the tracking area */
    }

    *::-webkit-scrollbar-thumb {
        background-color: #e9eef1; /* color of the scroll thumb */
        border-radius: 0; /* roundness of the scroll thumb */
        border: 0; /* creates padding around scroll thumb */
    }


:root {
    --bs-blue: #0076CF;
    --bs-blue-rbg: 0, 118, 207;
    --bs-primary: var(--bs-blue);
    --bs-primary-rgb: var(--bs-blue-rbg);
    --bs-link-color: var(--bs-blue);
    --bs-link-color-rgb: var(--bs-blue-rbg);
    --bs-border-radius: 0.35rem;
    --bs-border-color: #e2e8f0;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0076cf;
    --bs-btn-hover-border-color: #0076cf;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--bs-primary);
    --bs-btn-active-border-color: var(--bs-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #0d6efd;
    --bs-btn-disabled-border-color: #0d6efd;
}

.btn-outline-primary {
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--bs-primary);
    --bs-btn-hover-border-color: #0d6efd;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--bs-primary);
    --bs-btn-active-border-color: var(--bs-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--bs-primary);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--bs-primary);
    --bs-gradient: none;
}

.btn-outline-secondary {
    --bs-btn-color: #6c757d;
    --bs-btn-border-color: #e5e5e5;
    --bs-btn-hover-color: #6c757d;
    --bs-btn-hover-bg: #fff;
    --bs-btn-hover-border-color: #e5e5e5;
    --bs-btn-focus-shadow-rgb: 108,117,125;
    --bs-btn-active-color: #6c757d;
    --bs-btn-active-bg: #fff;
    --bs-btn-active-border-color: #e5e5e5;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #e5e5e5;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #e5e5e5;
    --bs-gradient: none;
}

.form-control,
.form-select,
.form-select.is-valid,
.form-select.is-invalid,
.form-control.is-valid,
.form-control.is-invalid,
.form-select.is-invalid:focus,
.form-select.is-valid:focus,
form.control.is-invalid:focus,
.form-control.is-valid:focus,
.form-select:focus,
.form-control:focus {
    border: 1px solid var(--bs-border-color);
    border-radius: 4px;
    color: #5d657b;
    box-shadow: none;
}

    .form-control.is-valid, .form-control.is-invalid, .form-select.is-valid, .form-select.is-invalid {
        background-image: none;
    }

input[type='text'].inputData, input[type='text'].inputData:focus {
    border: 0 !important;
    border-radius: 0 !important;
}

button, [role=button], th[role=button], *[role=button] {
    cursor: pointer;
}

a, a:active, a:visited {
    text-decoration: none !important;
}

    a:hover {
        color: #0076cf;
    }
/*===========================
		COMMON css
===========================*/
*, html, body {
    scroll-behavior: smooth;
}

body {
    font-family: "Inter", sans-serif !important;
    font-weight: normal;
    font-style: normal;
    color: #5d657b;
    overflow-x: hidden;
    background: #f1f5f9;
    overflow-y: scroll;
}


a:focus,
input:focus,
textarea:focus,
button:focus,
.btn:focus,
.btn.focus,
.btn:not(:disabled):not(.disabled).active,
.btn:not(:disabled):not(.disabled):active {
    text-decoration: none;
    outline: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.tooltip {
    --bs-tooltip-max-width: 600px;
    --bs-tooltip-padding-x: 0.5rem;
    --bs-tooltip-padding-y: 0.5rem;
    --bs-tooltip-font-size: 0.75rem;
    --bs-tooltip-zindex: 100000;
    font-family: var(--bs-font-monospace);
    font-weight: 300;
}

a:hover {
    color: var(--bs-primary);
}

button,
a {
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

    a,
    a:focus,
    a:hover {
        text-decoration: none;
    }

.shadow {
    box-shadow: 0px 10px 20px rgba(200, 208, 216, 0.3) !important;
}

.ifmgNav {
    background: var(--bs-primary);
    border-color: var(--bs-primary);
    min-height: 2.5rem;
    line-height: 1.5rem;
    padding: 0 1rem;
}
    .ifmgNav .navbar-nav .nav-link {
        color: #fff;
        line-height: 1.5rem;
        padding-right: 1rem;
        padding-left: 1rem;
    }

    .ifmgNav .navbar-nav .nav-link.active, .ifmgNav .navbar-nav .nav-link:hover, .ifmgNav .navbar-nav .nav-link.show, .ifmgNav .navbar-nav .show > .nav-link {
        color: #fff;
        background: #0033a0;
    }

.navbar-light .navbar-toggler-icon {
    background-image: url(/images/menu.png);
    width: 1.5rem;
    height: 1rem;
}

.navbar-toggler {
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    background: transparent;
    border: 1px solid transparent;
    border-radius: 0;
}

.navbar-light .navbar-toggler {
    outline: none !important;
    cursor: pointer;
    border: none;
}

.navbar-toggler:focus {
    text-decoration: none;
    outline: 0;
    box-shadow: none;
}

#main {
    padding: 1rem 1rem 0;
}

#loadInfo {
    position: fixed;
    z-index: 99999;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: #fff;
}

.auth-forms {
    max-width: 24rem;
}

.max-width-250 {
    max-width: 250px;
}

.max-width-300 {
    max-width: 300px;
}

.table-hover > tbody > tr:hover > * {
    --bs-table-color-state: var(--bs-table-hover-color);
    --bs-table-bg-state: #f1f5f9;
}

/* =========== tables css =========== */
.table {
    border-collapse: inherit;
    border-spacing: 0px;
}

    .table > :not(caption) > * > * {
        padding: 0.5rem 0.25rem;
        border-bottom-color: #efefef;
        vertical-align: middle;
    }

    .table > :not(:last-child) > :last-child > * {
        border-bottom: double #efefef;
    }

    .table tbody tr:last-child > * {
        border-bottom-color: transparent;
    }

    .table th, .table th h6 {
        font-weight: 700;
        color: #262d3f;
        font-size: 14px;
    }



.datepicker-cell.selected, .datepicker-cell.selected:hover {
    background-color: var(--bs-primary);
}

#accountForm .form-control, #accountForm .form-select {
    border-radius: 0;
    border-width: 0 0 1px 0;
}

#accountForm input:disabled, #accountForm select:disabled {
    background: #fff;
    border-color: #fff;
    color: var(--bs-body-color);
    font-size: 1rem;
}

